---
title: SVGFECompositeElement
slug: Web/API/SVGFECompositeElement
tags:
  - API
  - NeedsExample
  - Reference
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}</div>

<p>The <strong><code>SVGFECompositeElement</code></strong> interface corresponds to the {{SVGElement("feComposite")}} element.</p>

<p>{{InheritanceDiagram(600, 140)}}</p>

<h2 id="Constants">Constants</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th>Name</th>
   <th>Value</th>
   <th>Description</th>
  </tr>
  <tr>
   <td><code>SVG_FECOMPOSITE_OPERATOR_UNKNOWN</code></td>
   <td>0</td>
   <td>The type is not one of predefined types. It is invalid to attempt to define a new value of this type or to attempt to switch an existing value to this type.</td>
  </tr>
  <tr>
   <td><code>SVG_FECOMPOSITE_OPERATOR_OVER</code></td>
   <td>1</td>
   <td>Corresponds to the <code>over</code> value.</td>
  </tr>
  <tr>
   <td><code>SVG_FECOMPOSITE_OPERATOR_IN</code></td>
   <td>2</td>
   <td>Corresponds to the <code>in</code> value.</td>
  </tr>
  <tr>
   <td><code>SVG_FECOMPOSITE_OPERATOR_OUT</code></td>
   <td>3</td>
   <td>Corresponds to <code>out</code> value.</td>
  </tr>
  <tr>
   <td><code>SVG_FECOMPOSITE_OPERATOR_ATOP</code></td>
   <td>4</td>
   <td>Corresponds to <code>atop</code> value.</td>
  </tr>
  <tr>
   <td><code>SVG_FECOMPOSITE_OPERATOR_XOR</code></td>
   <td>5</td>
   <td>Corresponds to <code>xor</code> value.</td>
  </tr>
  <tr>
   <td><code>SVG_FECOMPOSITE_OPERATOR_ARITHMETIC</code></td>
   <td>6</td>
   <td>Corresponds to <code>arithmetic</code> value.</td>
  </tr>
 </tbody>
</table>

<h2 id="Properties">Properties</h2>

<p><em>This interface also inherits properties from its parent interface, {{domxref("SVGElement")}}, and also implements properties of {{domxref("SVGFilterPrimitiveStandardAttributes")}}.</em></p>

<dl>
 <dt>{{domxref("SVGFECompositeElement.in1")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedString")}} corresponding to the {{SVGAttr("in")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGFECompositeElement.type")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedEnumeration")}} corresponding to the {{SVGAttr("type")}} attribute of the given element. It takes one of the <code>SVG_FECOMPOSITE_OPERATOR_*</code> constants defined on this interface.</dd>
 <dt>{{domxref("SVGFECompositeElement.values")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedNumberList")}} corresponding to the {{SVGAttr("values")}} attribute of the given element.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface does not provide any specific methods, but implements those of its parent, {{domxref("SVGElement")}}, and also implements methods of {{domxref("SVGFilterPrimitiveStandardAttributes")}}.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Filters 1.0", "#InterfaceSVGFECompositeElement", "SVGFECompositeElement")}}</td>
   <td>{{Spec2("Filters 1.0")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "filters.html#InterfaceSVGFECompositeElement", "SVGFECompositeElement")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGFECompositeElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("feComposite")}}</li>
</ul>
